##parameters=question=None
WIDTH = 40
HEIGHT = 200

options = question.getAnswerOptions()
canChart = question.getQuestionType() != 'area' and question.getQuestionType()!='text'

if not canChart:
  return ''

# convert answers to a percentage
answers = question.getAggregateAnswers()
max = 0
for option in options:
    l = answers.get(option, 0)
    if l > max:
        max = l

pct = []

for option in options:
    count = answers.get(option, 0)
    if count == 0:
        value = 0
    else:
        value = count/float(max)
    pct.append({'answer':option,
                'value':value})




chart_html = '''<td height="1%%" valign="bottom">
                    <table width="%d" height="%d"><tr><td bgcolor="%s"></td></tr></table>
                    </td>'''

bot_html = '<td>%s</td>'

colours = ['green','red','yellow','blue','pink','grey','orange','silver','purple']

#pct.sort(lambda x, y: cmp(y['value'], x['value']))

lines = []
bot_lines = []


leftpx = 0
n = 0
for item in pct:
    height = int(item['value'] * HEIGHT)
    try:
      background = colours[n]
    except:
      background = 'black'
    lines.append(chart_html % (WIDTH,
                               height,
                               background))
    bot_lines.append(bot_html % item['answer'])
               
    if n == (len(colours)-1): n = 0
    else: n += 1
lines.append("</tr><tr>")
bot_lines.append("<tr><td colspan='%d'>" % len(options) + "<em>" + \
                 str(question.position) + " " + question.getEnablingObjective() + \
                 "</em></td></tr>")
lines.extend(bot_lines)
chart_html = "\n".join(lines)
chart_html = '<table style="border: solid gray 1px;"><tr>%s</tr></table>' % chart_html

return chart_html
