file = context.buildSpreadsheetUrl()
setHeader = context.REQUEST.RESPONSE.setHeader
setHeader('Content-Type','application/vnd.ms-excel')
setHeader('Content-disposition','attachment; filename=%s' % file)
lines = []
header = '"user",'
for question in context.getAllQuestions():
    header += '"' + question.getTitle() + '",'
    if question.getShowCommentField():
        header += '"' + question.getCommentLabel() + '",'

header += '"completed"'
print header

for user in context.getRespondents():
    line = []
    line.append('"' + test(user, user, "Anonymous") + '"')
    for question in context.getAllQuestions():
        answer = ""
        if question.getQuestionType() == 'area' or question.getQuestionType() == 'text':
            answer = '"' + test(question.getAnswerFor(user), question.getAnswerFor(user).replace('"',"'"), "Blank") + '"'
        elif question.getQuestionType() == 'checkbox' or question.getQuestionType() == 'multipleSelect':
            options = question.getAnswerOptions()
            answerList = str(question.getAnswerFor(user)).split('##',len(options))
            for option in options:
              if answerList.count(option) > 0:
                answer += '1;'
              else:
                answer += '0;'
            answer = answer[0:len(answer)-1]
        else:
            options = question.getAnswerOptions()
            answerLabel = question.getAnswerFor(user)
            answer = str(len(options))
            i = 0
            while i < len(options):
                if options[i] == answerLabel:
                    answer = str(i)
                    break
                i = i + 1
        line.append(answer)
        if question.getShowCommentField():
            line.append('"' + test(question.getCommentsFor(user), question.getCommentsFor(user).replace('"',"'"), "Blank") + '"')
    line.append('"' + test(context.getCompletedFor(user), "1", "0") + '"')
    line = ','.join(line)
    lines.append(line)


for l in lines:
    print l
return printed
