from Products.CMFCore import DirectoryView, utils
from AccessControl import ModuleSecurityInfo, ClassSecurityInfo, getSecurityManager
from Products.PythonScripts.Utility import allow_module, allow_class
import Questionnaire
from Questionnaire import QuestionnaireError
ADD_CONTENT_PERMISSION = 'Add portal content'

contentClasses = ( Questionnaire.Question, ) 

contentConstructors = ( Questionnaire.addQuestionnaire, )
allow_module("Products.CMFQuestions.Questionnaire")
allow_class(QuestionnaireError)

global myglobals
myglobals=globals()

DirectoryView.registerDirectory('skins', myglobals)

def initialize(context):
    utils.ContentInit( 'Questionnaire'
                     , content_types=contentClasses
                     , permission=ADD_CONTENT_PERMISSION
                     , extra_constructors=contentConstructors
                     , fti=( Questionnaire.factory_type_information )
                     ).initialize( context )
