multiFolder = False
if hasattr(context, 'survey_root'):
 multiFolder = True
 rootFolder = context.getParent(getattr(context, 'survey_root'))
 localContent = rootFolder.getQuestionnaireFolderContents(suppressHiddenFiles=1)
else:
  localContent = context.getQuestionnaireFolderContents(contentFilter={'Type': ['Questionnaire', 'Folder']}, suppressHiddenFiles=1)

for item in localContent:
 if item.meta_type == "Questionnaire":
  if not item.hasCompleted():
      return False

 if multiFolder:
  if item.isPrincipiaFolderish:
   subContent = item.getQuestionnaireFolderContents(contentFilter={'Type': 'Questionnaire'}, suppressHiddenFiles=1)
   for s_item in subContent:
    if s_item.meta_type == "Questionnaire":
     if not s_item.hasCompleted():
       return False


return True
