##parameters=currentPage

PARENTS = context.REQUEST.PARENTS

if context.portal_membership.isAnonymousUser() and not context.getAllowAnonymous():
    return 0
userid = context.getSurveyId()

questionnaires = context.getQuestionnaireFolderContents(suppressHiddenFiles=1);

start = False
for page in questionnaires:
  if start:
      if page.meta_type=='Questionnaire' and page.hasCompleted():
          start = True #skip
      elif page.isPrincipiaFolderish and page.folderComplete():
          start = True #skip
      else:
        return page.absolute_url()
  if page.absolute_url() == currentPage:
     start = True

if hasattr(context, 'survey_root'):
 parentLevel = 0
 rootLevel = 1
 while not PARENTS[parentLevel].isPrincipiaFolderish:
  parentLevel += 1
  rootLevel += 1
 if PARENTS[parentLevel].id != getattr(context, 'survey_root'):
  # we're in a sub folder of the root folder need to go up a level
  rootContent = PARENTS[rootLevel].getQuestionnaireFolderContents(suppressHiddenFiles=1)
  start = False
  for folder in rootContent:
    if start: 
      if folder.isPrincipiaFolderish and folder.folderComplete():
        #skip
        start = True
      elif folder.meta_type=="Questionnaire" and folder.hasCompleted():
        #skip
        start = True
      else:
        return folder.absolute_url()

    if folder.absolute_url() == PARENTS[parentLevel].absolute_url():
      start = True

  return rootContent[0].absolute_url()

return questionnaires[0].absolute_url()
