## Script (Python) "questionnaire_answer"
##parameters=save="",submit=""

from Products.PythonScripts.standard import url_quote
from Products.CMFQuestions.Questionnaire import QuestionnaireError

userid = context.getSurveyId()
form = context.REQUEST.form
came_from = form.get('came_from', context.getExitUrl())
incomplete = 0
incNumbers = []
if form.get('submit.x', ''):
  submit = True

for q in context.getAllQuestions():
    value = form.get(q.getId(), '')
    if not isinstance(value, str):
        value = "##".join(value)
        
    if (not value) and (not q.getOptional()):
        incomplete = 1
        incNumbers.append(q.getId())
    comments = form.get("%s_comments" % q.getId(), '')
    q.addAnswer(userid, value, comments)

go = context.REQUEST.RESPONSE.redirect

if submit and not incomplete:
  context.setCompletedFor(userid)
  go(context.absolute_url() + "/questionnaire_view?came_from=%s&portal_status_message=%s&firsttime=1" % (came_from, url_quote("You have completed this questionnaire")))
elif submit and incomplete:
  go(context.absolute_url() + "/questionnaire_view?came_from=%s&portal_status_message=%s&missing=%s&firsttime=1" % (came_from,"Sorry you can't submit your response until you have answered all the questions. Missing questions are highlighted", ",".join(incNumbers)))
else:
  go(context.absolute_url() + "/questionnaire_view?came_from=%s&portal_status_message=%s&firsttime=1" % (came_from,url_quote(context.getSavedMessage())))
